## knighttime 0.0.0+p24.04+vstable+git20250921.0612

=== debian/changelog ===
knighttime (0.0.0+p24.04+vstable+git20250921.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:12:20 +0000

knighttime (0.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 24 Jun 2025 09:47:02 +1000

## knighttime 0.0.0+p24.04+vstable+git20251004.0531

=== debian/changelog ===
knighttime (0.0.0+p24.04+vstable+git20251004.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:31:39 +0000

## knighttime 0.0.0+p24.04+vstable+git20251019.0613

=== debian/changelog ===
knighttime (0.0.0+p24.04+vstable+git20251019.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:13:05 +0000

## knighttime 0.0.0+p24.04+vunstable+git20251021.0355

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.80")
project(KNightTime VERSION ${PROJECT_VERSION})

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(PROJECT_DEP_VERSION "6.4.90")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(CMakePackageConfigHelpers)
include(CheckCXXCompilerFlag)
include(FeatureSummary)
include(GenerateExportHeader)

include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMGenerateHeaders)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    DBus
    Positioning
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    Holidays
    I18n
)

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.16.0
)

check_cxx_compiler_flag(-Wno-unused-parameter COMPILER_UNUSED_PARAMETER_SUPPORTED)
if (COMPILER_UNUSED_PARAMETER_SUPPORTED)
    add_compile_options(-Wno-unused-parameter)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(examples)
endif()

add_subdirectory(src)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KNightTime")

write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/KNightTimeConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KNightTimeConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KNightTimeConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KNightTimeConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KNightTimeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT KNightTimeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KNightTimeTargets.cmake)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
knighttime (0.0.0+p24.04+vunstable+git20251021.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:55:45 +0000

## knighttime 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.4.91")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.4.91")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
knighttime (6.4.91-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Oct 2025 11:30:02 +0200

knighttime (6.4.91-1) experimental; urgency=medium

  * Initial release. (Closes: #1117542)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Oct 2025 23:13:12 +0200

=== debian/control ===
Source: knighttime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-positioning-dev (>= 6.9.0~),
               qt6-base-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/knighttime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knighttime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knighttime.git

Package: knighttime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: helpers for scheduling the dark-light cycle for the Plasma desktop
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.

Package: knighttime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libknighttime0 (= ${binary:Version}),
         ${misc:Depends},
Description: dark-light cycle scheduling helpers for Plasma - development files
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.
 .
 This package contains the development files for the libknighttime shared
 library.

Package: libknighttime0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dark-light cycle scheduling helpers for Plasma - shared library
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.
 .
 This package contains the shared library.

## knighttime 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

include(ECMMarkAsTest)

find_package(Qt6Test CONFIG REQUIRED)

add_executable(transition-test transition_test.cpp)
add_test(NAME transition-test COMMAND transition-test)
ecm_mark_as_test(transition-test)
target_link_libraries(transition-test PRIVATE KNightTime Qt6::Test)

add_executable(cycle-test cycle_test.cpp)
add_test(NAME cycle-test COMMAND cycle-test)
ecm_mark_as_test(cycle-test)
target_link_libraries(cycle-test PRIVATE KNightTime Qt6::Test)

add_executable(schedule-test schedule_test.cpp)
add_test(NAME schedule-test COMMAND schedule-test)
ecm_mark_as_test(schedule-test)
target_link_libraries(schedule-test PRIVATE KNightTime Qt6::Test)

=== debian/changelog ===
knighttime (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Add qt6-base-dev dependency to knighttime-dev.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:57:33 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libkf6i18n-dev (>= 6.18.0~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-private-dev,
                qt6-positioning-dev (>= 6.9.0~),
-               qt6-base-private-dev,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/knighttime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knighttime
@@ -40,6 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libknighttime0 (= ${binary:Version}),
+         qt6-base-dev (>= 6.9.0~),
          ${misc:Depends},
 Description: dark-light cycle scheduling helpers for Plasma - development files
  The KNightTime provides helpers for scheduling the dark-light cycle. It can be

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/unstable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## knighttime 6.5.0+p24.04+vstable+git20251028.1257

=== debian/changelog ===
knighttime (6.5.0+p24.04+vstable+git20251028.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:57:09 +0000

knighttime (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:42:27 +0000

=== debian/control ===
Source: knighttime
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-positioning-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/knighttime
Vcs-Git: https://invent.kde.org/neon/neon-packaging/knighttime.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/knighttime
Maintainer: Neon CI <neon@kde.org>

Package: knighttime
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library that provides helpers for scheduling the dark-light cycle
 It can be used to implement features such as adjusting the screen color
 temperature based on time of day, etc.
 .
 This package contains the required files for knighttime.

Package: knighttime-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: knighttime, qt6-base-dev, ${misc:Depends}
Description: Development files for knighttime
 Library that provides helpers for scheduling the dark-light cycle.
 .
 This package contains development files for knighttime.

## knighttime 6.5.0+p24.04+vunstable+git20251021.0814

=== debian/changelog ===
knighttime (6.5.0+p24.04+vunstable+git20251021.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:14:41 +0000

## knighttime 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== examples/monitor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_executable(monitor)

target_sources(monitor PRIVATE
    main.cpp
)

target_link_libraries(monitor PRIVATE
    KNightTime
)

=== src/daemon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_executable(knighttimed)

kconfig_target_kcfg_file(knighttimed
    FILE kdarklightsettings.kcfg
    CLASS_NAME KDarkLightSettings
    GENERATE_MOC
    GENERATE_PROPERTIES
    MUTATORS
)

kconfig_target_kcfg_file(knighttimed
    FILE kdarklightstate.kcfg
    CLASS_NAME KDarkLightState
    GENERATE_MOC
    GENERATE_PROPERTIES
    MUTATORS
)

target_compile_definitions(knighttimed PRIVATE
    -DTRANSLATION_DOMAIN=\"knighttimed\"
)

target_sources(knighttimed PRIVATE
    kdarklightmanager.cpp
    kdarklightmanagerinterface.cpp
    kdarklightscheduler.cpp
    ksolardarklightscheduler.cpp
    ktimeddarklightscheduler.cpp
    main.cpp
)

target_link_libraries(knighttimed PRIVATE
    KNightTime

    Qt6::DBus
    Qt6::Positioning

    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
)

install(FILES org.kde.NightTime.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(TARGETS knighttimed DESTINATION ${KDE_INSTALL_LIBEXECDIR})

ecm_generate_dbus_service_file(
    NAME org.kde.NightTime
    EXECUTABLE "${KDE_INSTALL_FULL_LIBEXECDIR}/knighttimed"
    SYSTEMD_SERVICE plasma-knighttimed.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

ecm_install_configured_files(
   INPUT plasma-knighttimed.service.in
   DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

ecm_install_configured_files(
    INPUT org.kde.knighttimed.desktop.in
    DESTINATION ${KDE_INSTALL_APPDIR}
)

=== debian/changelog ===
knighttime (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:52 +0000

knighttime (6.5.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Oct 2025 11:03:42 +0100

knighttime (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:33 +0100

=== debian/control ===
Source: knighttime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-positioning-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/knighttime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knighttime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knighttime

Package: knighttime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: helpers for scheduling the dark-light cycle for the Plasma desktop
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.

Package: knighttime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libknighttime0 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Description: dark-light cycle scheduling helpers for Plasma - development files
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.
 .
 This package contains the development files for the libknighttime shared
 library.

Package: libknighttime0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dark-light cycle scheduling helpers for Plasma - shared library
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.
 .
 This package contains the shared library.

## knighttime 6.5.1+p24.04+vstable+git20251029.0809

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)

=== debian/changelog ===
knighttime (6.5.1+p24.04+vstable+git20251029.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:09:30 +0000

knighttime (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:12:00 +0000

## knighttime 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_library(KNightTime)

generate_export_header(KNightTime EXPORT_FILE_NAME knighttime_export.h)

set_target_properties(KNightTime PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION 0
    EXPORT_NAME KNightTime
)

target_compile_definitions(KNightTime PRIVATE
    -DTRANSLATION_DOMAIN=\"knighttime\"
)

target_include_directories(KNightTime
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KNightTime/>"
)

target_sources(KNightTime PRIVATE
    kdarklightschedule.cpp
    kdarklightscheduleprovider.cpp
    kdarklightschedulesubscription.cpp
)

target_link_libraries(KNightTime
    PUBLIC
        Qt6::Core
    PRIVATE
        Qt6::DBus
        KF6::Holidays
)

install(TARGETS KNightTime EXPORT KNightTimeTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_declare_logging_category(KNightTime
    HEADER knighttimelogging.h
    IDENTIFIER KNIGHTTIME
    CATEGORY_NAME knighttime
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Helpers for scheduling the dark-light cycle"
    EXPORT KNightTime
)

ecm_qt_install_logging_categories(
    EXPORT KNightTime
    FILE knighttime.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

ecm_generate_qdoc(KNightTime knighttime.qdocconf)

ecm_generate_headers(KNightTime_HEADERS
    HEADER_NAMES
        KDarkLightSchedule
        KDarkLightScheduleProvider
    REQUIRED_HEADERS KCoreAddons_HEADERS
)

install(
    FILES
        ${KNightTime_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/knighttime_export.h
        kdarklightschedule.h
        kdarklightscheduleprovider.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KNightTime COMPONENT Devel
)

add_subdirectory(daemon)

=== debian/changelog ===
knighttime (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:56 +0100

## knighttime 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
knighttime (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:09 +0100

## knighttime 6.5.3+p24.04+vstable+git20251209.0239

=== debian/changelog ===
knighttime (6.5.3+p24.04+vstable+git20251209.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:39:52 +0000

knighttime (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:11:51 +1000

knighttime (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:24 +1000

## knighttime 6.5.3+p24.04+vunstable+git20251122.2317

=== debian/changelog ===
knighttime (6.5.3+p24.04+vunstable+git20251122.2317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:17:50 +0000

## knighttime 6.5.3+p24.04+vunstable+git20251202.0950

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.6")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
knighttime (6.5.3+p24.04+vunstable+git20251202.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:50:28 +0000

## knighttime 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.4.6")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
knighttime (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:20 +0000

knighttime (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:54 +0000

knighttime (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
@@ -26,8 +26,7 @@
 Package: knighttime
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: helpers for scheduling the dark-light cycle for the Plasma desktop
  The KNightTime provides helpers for scheduling the dark-light cycle. It can be
  used to implement features such as adjusting the screen color temperature
@@ -57,8 +56,7 @@
 Package: libknighttime0
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: dark-light cycle scheduling helpers for Plasma - shared library
  The KNightTime provides helpers for scheduling the dark-light cycle. It can be

## knighttime 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
knighttime (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:56 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

## knighttime 6.5.5+p24.04+vstable+git20260122.0437

=== debian/changelog ===
knighttime (6.5.5+p24.04+vstable+git20260122.0437-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:37:15 +0000

knighttime (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:35 +1000

knighttime (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:06 +1000

## knighttime 6.5.5+p24.04+vstable+git20260131.0212

=== debian/changelog ===
knighttime (6.5.5+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:12 +0000

## knighttime 6.5.5+p24.04+vunstable+git20260124.0041

=== debian/changelog ===
knighttime (6.5.5+p24.04+vunstable+git20260124.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:42:00 +0000

## knighttime 6.5.5+p24.04+vunstable+git20260126.0759

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,15 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
knighttime (6.5.5+p24.04+vunstable+git20260126.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:59:53 +0000

## knighttime 6.6.1

=== debian/changelog ===
knighttime (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:20 +0000

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6holidays-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6holidays-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
                qt6-base-private-dev,
-               qt6-positioning-dev (>= 6.9.0~),
+               qt6-positioning-dev (>= 6.10.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/knighttime
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knighttime
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libknighttime0 (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
+         qt6-base-dev (>= 6.10.0~),
          ${misc:Depends},
 Description: dark-light cycle scheduling helpers for Plasma - development files
  The KNightTime provides helpers for scheduling the dark-light cycle. It can be

## knighttime 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 project(KNightTime VERSION ${PROJECT_VERSION})
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
knighttime (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:45 +0000
